ct_context.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`
`#include <gwenhywfar/bindata.h>`
`#include <gwenhywfar/base64.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPT_TOKEN_CONTEXT | GWEN_CRYPT_TOKEN_CONTEXT

## Functions

GWENHYWFAR_API void | GWEN_Crypt_Token_Context_Attach (GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_copy (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const GWEN_CRYPT_TOKEN_CONTEXT *p_src)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_dup (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_free (GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_fromDb (GWEN_DB_NODE *p_db)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_fromXml (GWEN_XMLNODE *p_db)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetAddress (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetAuthSignKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetAuthSignKeyNum (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetAuthSignKeyVer (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetAuthVerifyKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetCidLen (const GWEN_CRYPT_TOKEN_CONTEXT *st)
GWENHYWFAR_API const uint8_t * | GWEN_Crypt_Token_Context_GetCidPtr (const GWEN_CRYPT_TOKEN_CONTEXT *st)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetCustomerId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetDecipherKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetDecipherKeyNum (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetDecipherKeyVer (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetEncipherKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetKeyHashAlgo (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetKeyHashLen (const GWEN_CRYPT_TOKEN_CONTEXT *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetKeyHashNum (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const uint8_t * | GWEN_Crypt_Token_Context_GetKeyHashPtr (const GWEN_CRYPT_TOKEN_CONTEXT *st)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetKeyHashVer (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetKeyStatus (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetPeerId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetPeerName (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API int | GWEN_Crypt_Token_Context_GetPort (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetProtocolVersion (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetServiceId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetSignKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetSignKeyNum (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetSignKeyVer (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetSystemId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetTempSignKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetUserId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API const char * | GWEN_Crypt_Token_Context_GetUserName (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Crypt_Token_Context_GetVerifyKeyId (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT_LIST * | GWEN_Crypt_Token_Context_List_dup (const GWEN_CRYPT_TOKEN_CONTEXT_LIST *p_src)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_List_GetById (const GWEN_CRYPT_TOKEN_CONTEXT_LIST *p_list, uint32_t p_cmp)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_Crypt_Token_Context_new (void)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_ReadDb (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_ReadXml (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetAddress (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetAuthSignKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetAuthSignKeyNum (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetAuthSignKeyVer (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetAuthVerifyKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetCid (GWEN_CRYPT_TOKEN_CONTEXT *st, const uint8_t *p, uint32_t len)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetCustomerId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetDecipherKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetDecipherKeyNum (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetDecipherKeyVer (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetEncipherKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetKeyHash (GWEN_CRYPT_TOKEN_CONTEXT *st, const uint8_t *p, uint32_t len)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetKeyHashAlgo (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetKeyHashNum (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetKeyHashVer (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetKeyStatus (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetPeerId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetPeerName (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetPort (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, int p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetProtocolVersion (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetServiceId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetSignKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetSignKeyNum (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetSignKeyVer (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetSystemId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetTempSignKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetUserId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetUserName (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_SetVerifyKeyId (GWEN_CRYPT_TOKEN_CONTEXT *p_struct, uint32_t p_src)
GWENHYWFAR_API int | GWEN_Crypt_Token_Context_toDb (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_toXml (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API int | GWEN_Crypt_Token_Context_WriteDb (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Crypt_Token_Context_WriteXml (const GWEN_CRYPT_TOKEN_CONTEXT *p_struct, GWEN_XMLNODE *p_db)

## Typedef Documentation

## GWEN_CRYPT_TOKEN_CONTEXT

typedef struct GWEN_CRYPT_TOKEN_CONTEXT GWEN_CRYPT_TOKEN_CONTEXT

Definition at line 221 of file ct_context.h.

## Function Documentation

## GWEN_Crypt_Token_Context_Attach()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_Attach | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

References GWEN_Crypt_Token_Context_Attach(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_Attach().

## GWEN_Crypt_Token_Context_copy()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_copy | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const GWEN_CRYPT_TOKEN_CONTEXT * | p_src )

References GWEN_Crypt_Token_Context_copy(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_copy().

## GWEN_Crypt_Token_Context_dup()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_dup | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

References GWEN_Crypt_Token_Context_dup(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_dup().

## GWEN_Crypt_Token_Context_free()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_free | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Destructor.

References GWEN_Crypt_Token_Context_free(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_free().

## GWEN_Crypt_Token_Context_fromDb()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_fromDb | ( | GWEN_DB_NODE * | p_db | ) |

References GWEN_Crypt_Token_Context_fromDb(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_fromDb().

## GWEN_Crypt_Token_Context_fromXml()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_fromXml | ( | GWEN_XMLNODE * | p_db | ) |

References GWEN_Crypt_Token_Context_fromXml(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_fromXml().

## GWEN_Crypt_Token_Context_GetAddress()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetAddress | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "address" (see GWEN_CRYPT_TOKEN_CONTEXT_address)

References GWEN_Crypt_Token_Context_GetAddress(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetAddress().

## GWEN_Crypt_Token_Context_GetAuthSignKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetAuthSignKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "authSignKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyId)

References GWEN_Crypt_Token_Context_GetAuthSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetAuthSignKeyId().

## GWEN_Crypt_Token_Context_GetAuthSignKeyNum()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetAuthSignKeyNum | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "authSignKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyNum)

References GWEN_Crypt_Token_Context_GetAuthSignKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetAuthSignKeyNum().

## GWEN_Crypt_Token_Context_GetAuthSignKeyVer()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetAuthSignKeyVer | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "authSignKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyVer)

References GWEN_Crypt_Token_Context_GetAuthSignKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetAuthSignKeyVer().

## GWEN_Crypt_Token_Context_GetAuthVerifyKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetAuthVerifyKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "authVerifyKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_authVerifyKeyId)

References GWEN_Crypt_Token_Context_GetAuthVerifyKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetAuthVerifyKeyId().

## GWEN_Crypt_Token_Context_GetCidLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetCidLen | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | st | ) |

References GWEN_Crypt_Token_Context_GetCidLen(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetCidLen().

## GWEN_Crypt_Token_Context_GetCidPtr()

GWENHYWFAR_API const uint8_t * GWEN_Crypt_Token_Context_GetCidPtr | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | st | ) |

References GWEN_Crypt_Token_Context_GetCidPtr(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetCidPtr().

## GWEN_Crypt_Token_Context_GetCustomerId()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetCustomerId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "customerId" (see GWEN_CRYPT_TOKEN_CONTEXT_customerId)

References GWEN_Crypt_Token_Context_GetCustomerId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetCustomerId().

## GWEN_Crypt_Token_Context_GetDecipherKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetDecipherKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "decipherKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyId)

References GWEN_Crypt_Token_Context_GetDecipherKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetDecipherKeyId().

## GWEN_Crypt_Token_Context_GetDecipherKeyNum()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetDecipherKeyNum | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "decipherKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyNum)

References GWEN_Crypt_Token_Context_GetDecipherKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetDecipherKeyNum().

## GWEN_Crypt_Token_Context_GetDecipherKeyVer()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetDecipherKeyVer | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "decipherKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyVer)

References GWEN_Crypt_Token_Context_GetDecipherKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetDecipherKeyVer().

## GWEN_Crypt_Token_Context_GetEncipherKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetEncipherKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "encipherKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_encipherKeyId)

References GWEN_Crypt_Token_Context_GetEncipherKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetEncipherKeyId().

## GWEN_Crypt_Token_Context_GetId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "id" (see GWEN_CRYPT_TOKEN_CONTEXT_id)

References GWEN_Crypt_Token_Context_GetId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetId().

## GWEN_Crypt_Token_Context_GetKeyHashAlgo()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetKeyHashAlgo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "keyHashAlgo" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashAlgo)

References GWEN_Crypt_Token_Context_GetKeyHashAlgo(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyHashAlgo().

## GWEN_Crypt_Token_Context_GetKeyHashLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetKeyHashLen | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | st | ) |

References GWEN_Crypt_Token_Context_GetKeyHashLen(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyHashLen().

## GWEN_Crypt_Token_Context_GetKeyHashNum()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetKeyHashNum | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "keyHashNum" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashNum)

References GWEN_Crypt_Token_Context_GetKeyHashNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyHashNum().

## GWEN_Crypt_Token_Context_GetKeyHashPtr()

GWENHYWFAR_API const uint8_t * GWEN_Crypt_Token_Context_GetKeyHashPtr | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | st | ) |

References GWEN_Crypt_Token_Context_GetKeyHashPtr(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyHashPtr().

## GWEN_Crypt_Token_Context_GetKeyHashVer()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetKeyHashVer | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "keyHashVer" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashVer)

References GWEN_Crypt_Token_Context_GetKeyHashVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyHashVer().

## GWEN_Crypt_Token_Context_GetKeyStatus()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetKeyStatus | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "keyStatus" (see GWEN_CRYPT_TOKEN_CONTEXT_keyStatus)

References GWEN_Crypt_Token_Context_GetKeyStatus(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetKeyStatus().

## GWEN_Crypt_Token_Context_GetPeerId()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetPeerId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "peerId" (see GWEN_CRYPT_TOKEN_CONTEXT_peerId)

References GWEN_Crypt_Token_Context_GetPeerId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetPeerId().

## GWEN_Crypt_Token_Context_GetPeerName()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetPeerName | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "peerName" (see GWEN_CRYPT_TOKEN_CONTEXT_peerName)

References GWEN_Crypt_Token_Context_GetPeerName(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetPeerName().

## GWEN_Crypt_Token_Context_GetPort()

GWENHYWFAR_API int GWEN_Crypt_Token_Context_GetPort | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "port" (see GWEN_CRYPT_TOKEN_CONTEXT_port)

References GWEN_Crypt_Token_Context_GetPort(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetPort().

## GWEN_Crypt_Token_Context_GetProtocolVersion()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetProtocolVersion | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "protocolVersion" (see GWEN_CRYPT_TOKEN_CONTEXT_protocolVersion)

References GWEN_Crypt_Token_Context_GetProtocolVersion(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetProtocolVersion().

## GWEN_Crypt_Token_Context_GetServiceId()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetServiceId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "serviceId" (see GWEN_CRYPT_TOKEN_CONTEXT_serviceId)

References GWEN_Crypt_Token_Context_GetServiceId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetServiceId().

## GWEN_Crypt_Token_Context_GetSignKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetSignKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "signKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyId)

References GWEN_Crypt_Token_Context_GetSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetSignKeyId().

## GWEN_Crypt_Token_Context_GetSignKeyNum()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetSignKeyNum | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "signKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyNum)

References GWEN_Crypt_Token_Context_GetSignKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetSignKeyNum().

## GWEN_Crypt_Token_Context_GetSignKeyVer()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetSignKeyVer | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "signKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyVer)

References GWEN_Crypt_Token_Context_GetSignKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetSignKeyVer().

## GWEN_Crypt_Token_Context_GetSystemId()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetSystemId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "systemId" (see GWEN_CRYPT_TOKEN_CONTEXT_systemId)

References GWEN_Crypt_Token_Context_GetSystemId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetSystemId().

## GWEN_Crypt_Token_Context_GetTempSignKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetTempSignKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "tempSignKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_tempSignKeyId)

References GWEN_Crypt_Token_Context_GetTempSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetTempSignKeyId().

## GWEN_Crypt_Token_Context_GetUserId()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetUserId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "userId" (see GWEN_CRYPT_TOKEN_CONTEXT_userId)

References GWEN_Crypt_Token_Context_GetUserId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetUserId().

## GWEN_Crypt_Token_Context_GetUserName()

GWENHYWFAR_API const char * GWEN_Crypt_Token_Context_GetUserName | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "userName" (see GWEN_CRYPT_TOKEN_CONTEXT_userName)

References GWEN_Crypt_Token_Context_GetUserName(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetUserName().

## GWEN_Crypt_Token_Context_GetVerifyKeyId()

GWENHYWFAR_API uint32_t GWEN_Crypt_Token_Context_GetVerifyKeyId | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct | ) |

Getter. Use this function to get the member "verifyKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_verifyKeyId)

References GWEN_Crypt_Token_Context_GetVerifyKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_GetVerifyKeyId().

## GWEN_Crypt_Token_Context_List_dup()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT_LIST * GWEN_Crypt_Token_Context_List_dup | ( | const GWEN_CRYPT_TOKEN_CONTEXT_LIST * | p_src | ) |

References GWEN_Crypt_Token_Context_List_dup(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_List_dup().

## GWEN_Crypt_Token_Context_List_GetById()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_List_GetById | ( | const GWEN_CRYPT_TOKEN_CONTEXT_LIST * | p_list,
|  | uint32_t | p_cmp )

References GWEN_Crypt_Token_Context_List_GetById(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_List_GetById().

## GWEN_Crypt_Token_Context_new()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_Crypt_Token_Context_new | ( | void |  | ) |

Constructor.

References GWEN_Crypt_Token_Context_new(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_new().

## GWEN_Crypt_Token_Context_ReadDb()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_ReadDb | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Crypt_Token_Context_ReadDb(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_ReadDb().

## GWEN_Crypt_Token_Context_ReadXml()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_ReadXml | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWEN_Crypt_Token_Context_ReadXml(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_ReadXml().

## GWEN_Crypt_Token_Context_SetAddress()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetAddress | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "address" (see GWEN_CRYPT_TOKEN_CONTEXT_address)

References GWEN_Crypt_Token_Context_SetAddress(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetAddress().

## GWEN_Crypt_Token_Context_SetAuthSignKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetAuthSignKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "authSignKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyId)

References GWEN_Crypt_Token_Context_SetAuthSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetAuthSignKeyId().

## GWEN_Crypt_Token_Context_SetAuthSignKeyNum()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetAuthSignKeyNum | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "authSignKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyNum)

References GWEN_Crypt_Token_Context_SetAuthSignKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetAuthSignKeyNum().

## GWEN_Crypt_Token_Context_SetAuthSignKeyVer()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetAuthSignKeyVer | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "authSignKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_authSignKeyVer)

References GWEN_Crypt_Token_Context_SetAuthSignKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetAuthSignKeyVer().

## GWEN_Crypt_Token_Context_SetAuthVerifyKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetAuthVerifyKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "authVerifyKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_authVerifyKeyId)

References GWEN_Crypt_Token_Context_SetAuthVerifyKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetAuthVerifyKeyId().

## GWEN_Crypt_Token_Context_SetCid()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetCid | ( | GWEN_CRYPT_TOKEN_CONTEXT * | st,
|  | const uint8_t * | p,
|  | uint32_t | len )

References GWEN_Crypt_Token_Context_SetCid(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetCid().

## GWEN_Crypt_Token_Context_SetCustomerId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetCustomerId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "customerId" (see GWEN_CRYPT_TOKEN_CONTEXT_customerId)

References GWEN_Crypt_Token_Context_SetCustomerId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetCustomerId().

## GWEN_Crypt_Token_Context_SetDecipherKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetDecipherKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "decipherKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyId)

References GWEN_Crypt_Token_Context_SetDecipherKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetDecipherKeyId().

## GWEN_Crypt_Token_Context_SetDecipherKeyNum()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetDecipherKeyNum | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "decipherKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyNum)

References GWEN_Crypt_Token_Context_SetDecipherKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetDecipherKeyNum().

## GWEN_Crypt_Token_Context_SetDecipherKeyVer()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetDecipherKeyVer | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "decipherKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_decipherKeyVer)

References GWEN_Crypt_Token_Context_SetDecipherKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetDecipherKeyVer().

## GWEN_Crypt_Token_Context_SetEncipherKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetEncipherKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "encipherKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_encipherKeyId)

References GWEN_Crypt_Token_Context_SetEncipherKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetEncipherKeyId().

## GWEN_Crypt_Token_Context_SetId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "id" (see GWEN_CRYPT_TOKEN_CONTEXT_id)

References GWEN_Crypt_Token_Context_SetId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetId().

## GWEN_Crypt_Token_Context_SetKeyHash()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetKeyHash | ( | GWEN_CRYPT_TOKEN_CONTEXT * | st,
|  | const uint8_t * | p,
|  | uint32_t | len )

References GWEN_Crypt_Token_Context_SetKeyHash(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetKeyHash().

## GWEN_Crypt_Token_Context_SetKeyHashAlgo()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetKeyHashAlgo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyHashAlgo" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashAlgo)

References GWEN_Crypt_Token_Context_SetKeyHashAlgo(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetKeyHashAlgo().

## GWEN_Crypt_Token_Context_SetKeyHashNum()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetKeyHashNum | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyHashNum" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashNum)

References GWEN_Crypt_Token_Context_SetKeyHashNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetKeyHashNum().

## GWEN_Crypt_Token_Context_SetKeyHashVer()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetKeyHashVer | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyHashVer" (see GWEN_CRYPT_TOKEN_CONTEXT_keyHashVer)

References GWEN_Crypt_Token_Context_SetKeyHashVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetKeyHashVer().

## GWEN_Crypt_Token_Context_SetKeyStatus()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetKeyStatus | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "keyStatus" (see GWEN_CRYPT_TOKEN_CONTEXT_keyStatus)

References GWEN_Crypt_Token_Context_SetKeyStatus(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetKeyStatus().

## GWEN_Crypt_Token_Context_SetPeerId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetPeerId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "peerId" (see GWEN_CRYPT_TOKEN_CONTEXT_peerId)

References GWEN_Crypt_Token_Context_SetPeerId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetPeerId().

## GWEN_Crypt_Token_Context_SetPeerName()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetPeerName | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "peerName" (see GWEN_CRYPT_TOKEN_CONTEXT_peerName)

References GWEN_Crypt_Token_Context_SetPeerName(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetPeerName().

## GWEN_Crypt_Token_Context_SetPort()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetPort | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | int | p_src )

Setter. Use this function to set the member "port" (see GWEN_CRYPT_TOKEN_CONTEXT_port)

References GWEN_Crypt_Token_Context_SetPort(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetPort().

## GWEN_Crypt_Token_Context_SetProtocolVersion()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetProtocolVersion | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "protocolVersion" (see GWEN_CRYPT_TOKEN_CONTEXT_protocolVersion)

References GWEN_Crypt_Token_Context_SetProtocolVersion(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetProtocolVersion().

## GWEN_Crypt_Token_Context_SetServiceId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetServiceId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "serviceId" (see GWEN_CRYPT_TOKEN_CONTEXT_serviceId)

References GWEN_Crypt_Token_Context_SetServiceId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetServiceId().

## GWEN_Crypt_Token_Context_SetSignKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetSignKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "signKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyId)

References GWEN_Crypt_Token_Context_SetSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetSignKeyId().

## GWEN_Crypt_Token_Context_SetSignKeyNum()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetSignKeyNum | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "signKeyNum" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyNum)

References GWEN_Crypt_Token_Context_SetSignKeyNum(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetSignKeyNum().

## GWEN_Crypt_Token_Context_SetSignKeyVer()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetSignKeyVer | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "signKeyVer" (see GWEN_CRYPT_TOKEN_CONTEXT_signKeyVer)

References GWEN_Crypt_Token_Context_SetSignKeyVer(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetSignKeyVer().

## GWEN_Crypt_Token_Context_SetSystemId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetSystemId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "systemId" (see GWEN_CRYPT_TOKEN_CONTEXT_systemId)

References GWEN_Crypt_Token_Context_SetSystemId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetSystemId().

## GWEN_Crypt_Token_Context_SetTempSignKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetTempSignKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "tempSignKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_tempSignKeyId)

References GWEN_Crypt_Token_Context_SetTempSignKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetTempSignKeyId().

## GWEN_Crypt_Token_Context_SetUserId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetUserId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "userId" (see GWEN_CRYPT_TOKEN_CONTEXT_userId)

References GWEN_Crypt_Token_Context_SetUserId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetUserId().

## GWEN_Crypt_Token_Context_SetUserName()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetUserName | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "userName" (see GWEN_CRYPT_TOKEN_CONTEXT_userName)

References GWEN_Crypt_Token_Context_SetUserName(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetUserName().

## GWEN_Crypt_Token_Context_SetVerifyKeyId()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_SetVerifyKeyId | ( | GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "verifyKeyId" (see GWEN_CRYPT_TOKEN_CONTEXT_verifyKeyId)

References GWEN_Crypt_Token_Context_SetVerifyKeyId(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_SetVerifyKeyId().

## GWEN_Crypt_Token_Context_toDb()

GWENHYWFAR_API int GWEN_Crypt_Token_Context_toDb | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Crypt_Token_Context_toDb(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_toDb().

## GWEN_Crypt_Token_Context_toXml()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_toXml | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWEN_Crypt_Token_Context_toXml(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_toXml().

## GWEN_Crypt_Token_Context_WriteDb()

GWENHYWFAR_API int GWEN_Crypt_Token_Context_WriteDb | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWEN_Crypt_Token_Context_WriteDb(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_WriteDb().

## GWEN_Crypt_Token_Context_WriteXml()

GWENHYWFAR_API void GWEN_Crypt_Token_Context_WriteXml | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWEN_Crypt_Token_Context_WriteXml(), and GWENHYWFAR_API.

Referenced by GWEN_Crypt_Token_Context_WriteXml().